Bug 5946 - SAMR: Small problem mit the user parameters
SAMR: Small problem mit the user parameters
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 normal
: ---
Assigned To: Guenther Deschner
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 08:43 UTC by Matthias Dieter Wallnöfer
Modified: 2008-12-09 17:08 UTC (History)
0 users

See Also:


Attachments
Patch (854 bytes, patch)
2008-12-06 08:45 UTC, Matthias Dieter Wallnöfer
no flags Details
Torture test for patch (1.14 KB, patch)
2008-12-08 09:23 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2008-12-06 08:43:37 UTC
A small rework on the SAMR pipe code broke the "SetUserInfo2" call. It doesn't accept the user parameters attribute with length 0.
Comment 1 Matthias Dieter Wallnöfer 2008-12-06 08:45:48 UTC
Created attachment 3784 [details]
Patch

Please apply this small patch to fix it!
Comment 2 Matthias Dieter Wallnöfer 2008-12-08 09:23:35 UTC
Created attachment 3788 [details]
Torture test for patch

Here a torture test enhancement that should check this.
Also a variable "i" deletion through a unused variable warning on the compilation process.
Comment 3 Guenther Deschner 2008-12-09 16:27:22 UTC
looking into it.
Comment 4 Guenther Deschner 2008-12-09 17:08:33 UTC
Patches pushed, Thanks a lot!